# $Id: zc.conf.fr,v 1.22 2003/07/08 15:19:07 sdalu Exp $

constant {
    # For openrelay testing
    fake_mail_user	  = "zonecheck";
    fake_mail_dest	  = "nic.fr";
    fake_mail_from	  = "afnic.fr";
    fake_mail_host        = "relay2.nic.fr";
};


testseq "generic" {
    # Domain name check
    chk_dn_sntx				f	dns:sntx;
    chk_dn_orp_hyph			f	dns:sntx;
    chk_dn_dbl_hyph			w	dns:sntx;
    chk_one_ns				f	dns;
    chk_several_ns			f	dns;

    # IP address check
    chk_ip_distinct			f	ip;
    chk_ip_all_same_net			w	ip;
};

testseq "nameserver" {
    # IP address check
    chk_ip_private			w	ip;
    chk_ip_bogon			w	ip;
};


testseq "address" {
    # Connectivity
    chk_icmp				w	connectivity:l3;
    chk_udp				f	connectivity:l4;
    chk_tcp				f	connectivity:l4;

    # SOA
    chk_soa				f	dns;
    chk_soa_auth			f	dns;
    chk_given_nsprim_vs_soa		f	dns;
    chk_soa_master_fq			w	dns:soa;
    chk_soa_master_sntx			f	dns:soa;
    chk_soa_contact_sntx_at		f	dns:soa;
    chk_soa_contact_sntx		f	dns:soa;
#   chk_soa_contact_reverse		f	dns:soa;
    chk_soa_serial_fmt_YYYYMMDDnn	w	dns:soa;
    chk_soa_refresh_6h			w	dns:soa;
    chk_soa_retry_refresh		f	dns:soa;
    chk_soa_retry_1h			w	dns:soa;
    chk_soa_expire_7d			f	dns:soa;
    chk_soa_expire_7refresh		f	dns:soa;
    chk_soa_minimum_1d			w	dns:soa;
    chk_soa_ns_cname			w	dns:soa;
    chk_soa_vs_any			f	dns:soa;
    chk_soa_coherence_serial		f	dns:soa;
    chk_soa_coherence_contact		f	dns:soa;
    chk_soa_coherence_master		f	dns:soa;

    # NS
    chk_ns				f	dns:ns;
    chk_ns_auth				f	dns:ns;
    chk_given_ns_vs_ns			f	dns;
    chk_ns_sntx				f	dns:ns;
    chk_ns_cname			f	dns:ns;
    chk_ns_vs_any			f	dns:ns;
    chk_ns_ip				f	dns:ns;
    chk_ns_reverse			w	dns:ns;
    chk_ns_matching_reverse		w	dns:ns;

    case tst_mail_by_mx_or_a
    when MX
        # MX
	chk_mx				f	dns:mx;
	chk_mx_auth			f	dns:mx;
	chk_mx_sntx			f	dns:mx;
	chk_mx_cname			f	dns:mx;
	chk_mx_no_wildcard		i	dns:mx;
	chk_mx_ip			f	dns:mx;
	chk_mx_vs_any			f	dns:mx;
#       chk_mx_reverse			w	dns:mx;
    when A
    end

    chk_correct_recursive_flag		f	dns;

    case tst_recursive_server
    when true
        # Loopback
        chk_loopback_delegation		w	dns:loopback;
        chk_loopback_host		f	dns:loopback;

        # Root servers
	chk_root_servers		f	dns:root;
	chk_root_servers_ns_vs_icann	f	dns:root;
	chk_root_servers_ip_vs_icann	w	dns:root;
    end

    chk_axfr				w	dns:axfr;
    chk_axfr_empty			w	dns:axfr;
    chk_axfr_valid_labels		w	dns:axfr;

};

testseq "extra" {
    # Mail
    chk_mail_mx_or_addr			w	mail;
    case tst_mail_delivery
    when nodelivery
    else
        chk_mail_openrelay_domain	w	mail:openrelay;
        chk_mail_delivery_postmaster	w	mail:delivery;
    end
    chk_mail_hostmaster_mx_cname	f	mail;
    chk_mail_openrelay_hostmaster	w	mail:openrelay;
    chk_mail_delivery_hostmaster	f	mail:delivery;
};
